NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Features.VehicleDesign.HeadImpactRPillarDetailBuilder Class Reference

Represents a NXOpen.Features.VehicleDesign.HeadImpactRPillarDetailBuilder . More...

Inheritance diagram for NXOpen.Features.VehicleDesign.HeadImpactRPillarDetailBuilder:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool CreateGeometry [get, set]
 Returns or sets the create construction geometry flag. More...
 
unsafe NXOpen.Point PT7Left [get, set]
 Returns or sets the left PT7 additional geometry. More...
 
unsafe bool PT7LeftFlag [get, set]
 Returns or sets the left PT7 additional geometry flag. More...
 
unsafe NXOpen.Point PT7Right [get, set]
 Returns or sets the right PT7 additional geometry. More...
 
unsafe bool PT7RightFlag [get, set]
 Returns or sets the right PT7 additional geometry flag. More...
 
unsafe NXOpen.Expression ReqHorizontalLeftMax [get]
 Returns the left horizontal maximum required approach angle. More...
 
unsafe NXOpen.Expression ReqHorizontalLeftMin [get]
 Returns the left horizontal minimum required approach angle. More...
 
unsafe NXOpen.Expression ReqHorizontalRightMax [get]
 Returns the right horizontal maximum required approach angle. More...
 
unsafe NXOpen.Expression ReqHorizontalRightMin [get]
 Returns the right horizontal minimum required approach angle. More...
 
unsafe NXOpen.Expression ReqVerticalMax [get]
 Returns the vertical maximum required approach angle. More...
 
unsafe NXOpen.Expression ReqVerticalMin [get]
 Returns the vertical minimum required approach angle. More...
 
unsafe NXOpen.Point RP1Left [get, set]
 Returns or sets the left RP1 alternative point. More...
 
unsafe bool RP1LeftFlag [get, set]
 Returns or sets the left RP1 alternative point flag. More...
 
unsafe NXOpen.Expression RP1Ratio [get]
 Returns the expression containing the value for the ratio used to position RP1. More...
 
unsafe NXOpen.Point RP1Right [get, set]
 Returns or sets the right RP1 alternative point. More...
 
unsafe bool RP1RightFlag [get, set]
 Returns or sets the right RP1 alternative point flag. More...
 
unsafe NXOpen.Point RP2Left [get, set]
 Returns or sets the left RP2 alternative point. More...
 
unsafe bool RP2LeftFlag [get, set]
 Returns or sets the left RP2 alternative point flag. More...
 
unsafe NXOpen.Expression RP2Offset [get]
 Returns the expression containing the value for the offset used to position RP2. More...
 
unsafe NXOpen.Point RP2Right [get, set]
 Returns or sets the right RP2 alternative point. More...
 
unsafe bool RP2RightFlag [get, set]
 Returns or sets the right RP2 alternative point flag. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.VehicleDesign.HeadImpactRPillarDetailBuilder .

This is an abstract class and cannot be instantiated.

Created in NX9.0.0

Member Function Documentation

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactRPillarDetailBuilder.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactRPillarDetailBuilder.CreateGeometry
getset

Returns or sets the create construction geometry flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactRPillarDetailBuilder.PT7Left
getset

Returns or sets the left PT7 additional geometry.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactRPillarDetailBuilder.PT7LeftFlag
getset

Returns or sets the left PT7 additional geometry flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactRPillarDetailBuilder.PT7Right
getset

Returns or sets the right PT7 additional geometry.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactRPillarDetailBuilder.PT7RightFlag
getset

Returns or sets the right PT7 additional geometry flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactRPillarDetailBuilder.ReqHorizontalLeftMax
get

Returns the left horizontal maximum required approach angle.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactRPillarDetailBuilder.ReqHorizontalLeftMin
get

Returns the left horizontal minimum required approach angle.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactRPillarDetailBuilder.ReqHorizontalRightMax
get

Returns the right horizontal maximum required approach angle.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactRPillarDetailBuilder.ReqHorizontalRightMin
get

Returns the right horizontal minimum required approach angle.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactRPillarDetailBuilder.ReqVerticalMax
get

Returns the vertical maximum required approach angle.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactRPillarDetailBuilder.ReqVerticalMin
get

Returns the vertical minimum required approach angle.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactRPillarDetailBuilder.RP1Left
getset

Returns or sets the left RP1 alternative point.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactRPillarDetailBuilder.RP1LeftFlag
getset

Returns or sets the left RP1 alternative point flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactRPillarDetailBuilder.RP1Ratio
get

Returns the expression containing the value for the ratio used to position RP1.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactRPillarDetailBuilder.RP1Right
getset

Returns or sets the right RP1 alternative point.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactRPillarDetailBuilder.RP1RightFlag
getset

Returns or sets the right RP1 alternative point flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactRPillarDetailBuilder.RP2Left
getset

Returns or sets the left RP2 alternative point.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactRPillarDetailBuilder.RP2LeftFlag
getset

Returns or sets the left RP2 alternative point flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactRPillarDetailBuilder.RP2Offset
get

Returns the expression containing the value for the offset used to position RP2.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactRPillarDetailBuilder.RP2Right
getset

Returns or sets the right RP2 alternative point.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactRPillarDetailBuilder.RP2RightFlag
getset

Returns or sets the right RP2 alternative point flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.